Devuan bug report logs - #283
hplip does not allow to add and configure hp printers

Package: hplip; Maintainer for hplip is (unknown);

Reported by: =?utf-8?Q?Jos=C3=A9_Marinho?= <jose.marinho@mailfence.com>

Date: Mon, 21 Jan 2019 10:33:01 UTC

Severity: grave

Done: Mark Hindley <mark@hindley.org.uk>

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: Mark Hindley <mark@hindley.org.uk>
Subject: bug#283: marked as done (hplip does not allow to add and
 configure hp printers)
Message-ID: <handler.283.D283.157902180330929.ackdone@bugs.devuan.org>
References: <20200114170926.GA13025@hindley.org.uk>
 <1666506290.205804.1548066481994@ichabod.co-bxl>
X-Devuan-PR-Message: closed 283
X-Devuan-PR-Package: hplip
Reply-To: 283@bugs.devuan.org
Date: Tue, 14 Jan 2020 17:18:07 +0000
Content-Type: multipart/mixed; boundary="----------=_1579022287-30957-0"
[Message part 1 (text/plain, inline)]
Your message dated Tue, 14 Jan 2020 17:09:26 +0000
with message-id <20200114170926.GA13025@hindley.org.uk>
and subject line Re: Can we close this one?
has caused the Devuan bug report #283,
regarding hplip does not allow to add and configure hp printers
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.devuan.org
immediately.)


-- 
283: bugs.devuan.org//cgi/bugreport.cgi?bug=283
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: José Marinho <jose.marinho@mailfence.com>
To: submit@bugs.devuan.org
Subject: hplip does not allow to add and configure hp printers
Date: Mon, 21 Jan 2019 11:28:02 +0100 (CET)
Package: hplip
Version: 3.16.11+repack0-3
Severity: grave

When I try to add a Hp printer using the hp-setup commad line utility I get this error on terminal:

root@pc:~# hp-setup -i
Traceback (most recent call last):
  File "/usr/bin/hp-setup", line 48, in <module>
    from base import device, utils, tui, models, module, services, os_utils
  File "/usr/share/hplip/base/device.py", line 41, in <module>
    from . import status
  File "/usr/share/hplip/base/status.py", line 32, in <module>
    import cupsext
ImportError: libudev.so.0: cannot open shared object file: No such file or directory

I tried upgrading hplip package to bakcports version getting the same results. I installed the gui version (hplip-gui) but when I launch the program, it fails too.

With this bug I can't use any Hp printer. If I try to add it by cups interface or system-config-printer utility the system does not find any Hp printer.

More info:

root@pc:~# apt policy hplip
hplip:
  Instalado: 3.16.11+repack0-3
  Candidato: 3.16.11+repack0-3
  Táboa de versións:
     3.18.12+dfsg0-2~bpo9+1 100
        100 http://pkgmaster.devuan.org/merged ascii-backports/main amd64 Packages
 *** 3.16.11+repack0-3 500
        500 http://pkgmaster.devuan.org/merged ascii/main amd64 Packages
        100 /var/lib/dpkg/status

root@pc:~# lsb_release -a
No LSB modules are available.
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 2.0 (ascii)
Release:	2.0
Codename:	ascii

root@pc:~# uname -a
Linux pc 4.9.0-8-amd64 #1 SMP Debian 4.9.130-2 (2018-10-27) x86_64 GNU/Linux
[Message part 3 (message/rfc822, inline)]
From: Mark Hindley <mark@hindley.org.uk>
To: 283-done@bugs.devuan.org
Subject: Re: Can we close this one?
Date: Tue, 14 Jan 2020 17:09:26 +0000
Closing as suggested by KatolaZ.

LeePen

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Jul 2 18:26:12 2020;